﻿@model AHCBL.Dto.User.OrderDto
@{
    ViewBag.Title = "Main";
    Layout = "~/Views/Shared/_Layout_Main.cshtml";
}
<div class="row padding0">
    <div class="col-sm-2">
        <div class="product_list_show box" id="show_mobile_top">
            <span></span>
            <span></span>
            <span></span>
            <span></span>
            <div class="content">
                <p style="font-size: 16px;color:#fff;font-weight: bold;padding: 5px;">상품</p>
                <img id="show_pd1" class="img_pd" src="../../common/image/product-1.png">
                <img id="show_pd2" class="img_pd" src="../../common/image/product-2.png">
                <img id="show_pd3" class="img_pd" src="../../common/image/product-3.png">
            </div>
        </div>

        <div class="order_list_show box" id="hide_mobile">
            <span></span>
            <span></span>
            <span></span>
            <span></span>
            <div class="content">
                <a href="@Url.Action("Order_have","Order")"><p style="font-size: 16px;color:#fff; font-weight: bold;padding: 5px;">보유현황</p></a>
                <img class="img_pd show_pd4" src="../../common/image/product-1.png">
                <img class="img_pd show_pd5" src="../../common/image/product-2.png">
                <img class="img_pd show_pd6" src="../../common/image/product-3.png">
            </div>
        </div>
    </div>

    <div class="col-sm-4 height680 borderR">
        <div class="page1">
            <div class="product-1 center-col">
                <span class="gnp_pd">근정전</span>
                <img src="../../common/image/product-1.png">
                <a href="@Url.Action("Index","Product")"><p style="font-size: 16px;color:#fff;font-weight: bold;padding: 5px;" class="gnp_pd">구매예약</p></a>
            </div>
            <div class="product-2 center-col" style="display:none;">
                <span class="gnp_pd">경회루</span>
                <img src="../../common/image/product-2.png">
                <a href="@Url.Action("Index","Product")"><p style="font-size: 16px;color:#fff;font-weight: bold;padding: 5px;" class="gnp_pd">구매예약</p></a>
            </div>
            <div class="product-3 center-col" style="display:none;">
                <span class="gnp_pd">향원정</span>
                <img src="../../common/image/product-3.png">
                <a href="@Url.Action("Index","Product")"><p style="font-size: 16px;color:#fff;font-weight: bold;padding: 5px;" class="gnp_pd">구매예약</p></a>
            </div>
            @if (Model != null && Model.tab1.Count != 0)
            {
                foreach (var item in Model.tab1)
                {
                    <div class="product-4 center-col" id="order-@item.id" style="display:none;">
                        <span class="gnp_pd">@Html.DisplayFor(modelItem => item.complete)개</span>
                        <img src="@Html.DisplayFor(modelItem => item.img)">
                        <span class="gnp_pd">@Html.DisplayFor(modelItem => item.name)</span>
                    </div>
                }
            }
        </div>
    </div>

    <div class="product_list_show box" id="show_mobile_footer" style="display:none;">
        <span></span>
        <span></span>
        <span></span>
        <span></span>
        <div class="content">
            <p style="font-size: 16px;font-weight: bold;padding: 5px;">보유현황</p>
            <img class="img_pd show_pd4" src="../../common/image/product-1.png">
            <img class="img_pd show_pd5" src="../../common/image/product-2.png">
            <img class="img_pd show_pd6" src="../../common/image/product-3.png">
        </div>
    </div>

    <div class="col-sm-4 height680 borderR">
        <div class="page2">
            <img src="../../common/image/flag.png" class="img_flag">
            <div style="display:flex;">
                <a href="@Url.Action("Index","Order")">
                    <span class="gnp">구매내역</span>
                </a>

                <a href="@Url.Action("Sell_list","Order")">
                    <span class="gnp">판매내역</span>
                </a>
            </div>
            <div class="flex-col">
                <a href="@Url.Action("Order_buy_point","Order")"><img src="../../common/image/gif.gif" style="width: 265px;height: 105px; border-radius: 9px;"></a>
                <span class="gnp">골드 : @ViewBag.amount</span>
            </div>

            <div class="dash-main-notice">
                <div class="member-inform" data-aos="fade-up" data-aos-duration="2000">
                    <div class="member-inform-box01 inform-box-notice">
                        <div class="choice-effect">
                            <div class="header-noti">
                                <h4>충전내역</h4>
                            </div>
                            <ul class="list-unstyled matching_msg_list scroll100" style="margin: 0px;">
                                @{int cntNotice = ViewBag.cntNotice;
                                    if (cntNotice != 0)
                                    {
                                        foreach (var item in ViewBag.dataNotice)
                                        {
                                            <li class="li-s">
                                                <a href="@Url.Action("Notice_detail","Notice" , new { id = item.id })">
                                                    <span class="notice-number">@Html.Raw(item.code)</span>
                                                    <span>@Html.Raw(item.name)</span>
                                                    <span>@Html.Raw(item.create_date)</span>
                                                </a>
                                            </li>
                                        }
                                    }
                                }
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-sm-2">
        <div class="menu_show box">
            <span></span>
            <span></span>
            <span></span>
            <span></span>
            <div class="content">
                <a href="@Url.Action("Index","Member")"><img class="img_pd" src="../../common/image/main-1.png"></a>
                <a class="copy"><img class="img_pd" src="../../common/image/main-2.png"></a>
                <a href="@Url.Action("Index","ChartMember")" target="_blank"><img class="img_pd" src="../../common/image/main-3.png"></a>
                <a href="@Url.Action("Index","Notice")"><img class="img_pd" src="../../common/image/main-4.png"></a>
            </div>
        </div>
        <a class="text-kakao" href="https://open.kakao.com/o/g2QVR2Vc"><img style="width: 150px;margin-top: 15px;" src="~/common/image/kakao.png"></a>
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#show_pd1").click(function () {
            $(".product-1").show();
            $(".product-2").hide();
            $(".product-3").hide();
            $("#order-1").hide();
            $("#order-2").hide();
            $("#order-3").hide();
        });
        $("#show_pd2").click(function () {
            $(".product-1").hide();
            $(".product-2").show();
            $(".product-3").hide();
            $("#order-1").hide();
            $("#order-2").hide();
            $("#order-3").hide();
        });
        $("#show_pd3").click(function () {
            $(".product-1").hide();
            $(".product-2").hide();
            $(".product-3").show();
            $("#order-1").hide();
            $("#order-2").hide();
            $("#order-3").hide();
        });
        $(".show_pd4").click(function () {
            $(".product-1").hide();
            $(".product-2").hide();
            $(".product-3").hide();
            $("#order-1").show();
            $("#order-2").hide();
            $("#order-3").hide();
        });
        $(".show_pd5").click(function () {
            $(".product-1").hide();
            $(".product-2").hide();
            $(".product-3").hide();
            $("#order-1").hide();
            $("#order-2").show();
            $("#order-3").hide();
        });
        $(".show_pd6").click(function () {
            $(".product-1").hide();
            $(".product-2").hide();
            $(".product-3").hide();
            $("#order-1").hide();
            $("#order-2").hide();
            $("#order-3").show();
        });
    });
</script>

<script>
    function doAction() {
        location.href = "./Product/Product_order";
    }


    // Get the modal
    var modal = document.getElementById("modalShowChange");
    var btn = document.getElementById("slotExhange");
    var span = document.getElementsByClassName("close")[0];

    /*
    btn.onclick = function () {
        modal.style.display = "block";
    }

    span.onclick = function () {
        modal.style.display = "none";
    }

    window.onclick = function (event) {
        if (event.target == modal) {
            modal.style.display = "none";
        }
    }
    */
    $(document).ready(function () {
        $(function () {
            $('.his_tb_amount').each(function (index, item) {
                //console.log("tbody_td4 " + parseFloat($(item).html()));
                if (parseFloat($(item).html()) < 0) {
                    console.log("ssss " + parseFloat($(item).html()));
                    $('.his_tb_amount').addClass('text-red');
                    $('.his_tb_amount').removeClass('text-red');
                } else {
                    $('.his_tb_amount').removeClass('text-red');
                    $('.his_tb_amount').addClass('text-green');
                }
            });
        });
    });
</script>


